%{!?tcl_version: %global tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %global tcl_sitearch %{_libdir}/tcl%{tcl_version}}
Name:          tclx
Version:       8.4.0
Release:       34
Summary:       Extensions for Tcl and Tk
License:       BSD
URL:           http://tclx.sourceforge.net/
Source:        http://downloads.sourceforge.net/tclx/tclx8.4.tar.bz2
Requires:      tcl >= 8.4.13, tk >= 8.4.13
BuildRequires: tcl-devel >= 8.4.13, tk-devel >= 8.4.13 gcc
Patch0000:     tclx-8.4-varinit.patch
Patch0001:     tclx-8.4-relid.patch
Patch0002:     tclx-8.4-man.patch
Patch0003:     tclx-8.4-tcl86.patch

%description
Extended Tcl (TclX) is a set of extensions to the Tcl programming language.
Extended Tcl is oriented towards system programming tasks and large
application development. TclX provides additional interfaces to the
operating system, and adds many new programming constructs, text manipulation
and debugging tools.

%package devel
Summary:   Extended Tcl development files
Requires:  tclx = %{version}-%{release}

%description devel
This package contains the tclx development files needed for building
applications embedding tclx.

%package help
Summary:   Help document for the TclX package
Buildarch: noarch

%description help
Help document for the TclX package.

%prep
%autosetup -n tclx8.4 -p1

%build
%configure \
   --enable-tk=YES --with-tclconfig=%{_libdir} --with-tkconfig=%{_libdir} \
   --with-tclinclude=%{_includedir} --with-tkinclude=%{_includedir} \
   --enable-gcc --disable-threads --enable-64bit --libdir=%{tcl_sitearch}

%make_build

%check
%if %{with check}
   make test
%endif

%install
%make_install

install -d $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/
echo '%{_libdir}/tcl%{tcl_version}/tclx8.4' > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/tclx-%{_arch}.conf

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc ChangeLog README
%{_libdir}/tcl8.6/tclx8.4/
%{_sysconfdir}/ld.so.conf.d/tclx-%{_arch}.conf

%files devel
%{_includedir}/*

%files help
%{_mandir}/mann/*
%{_mandir}/man3/*
%exclude %{_mandir}/man3/CmdWrite.*
%exclude %{_mandir}/man3/Handles.*

%changelog
* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 8.4.0-34
- Completing build dependencies to fix gcc compiler missing error

* Fri Nov 08 2019 Lijin Yang <yanglijin@huawei.com> - 8.4.0-33
- Package init

